// import * as mapper from "../common/dto.js";

function getItemLabelData(newsitem) {
    console.log("test xxxxx");
    return {
        "dto": {
            "base": newsitem.base,
            "aInfo": newsitem.aInfo,
            "comment": newsitem.comment,
            "UI": newsitem.UI,
            "user": newsitem.user,
            "extraProp": newsitem.extraProp,
            "contextInfo": newsitem.contextInfo
        },
        "localParam": {
            "enableLocalLabels": false,
            "contextInfo": {
                "parentPicShowType": 517
            }
        }
    }
}

function getCornerLabelData(newsitem) {
    return {
        "dto": {
            "base": newsitem.base,
            "aInfo": newsitem.aInfo,
            "comment": newsitem.comment,
            "UI": newsitem.UI,
            "contextInfo": newsitem.contextInfo
        },
        "localParam": {
            "contextInfo": {
                "parentPicShowType": 517
            }
        }
    }
}

Card({
    onCreate: function() {
        console.log("Hello 517");
        this.$data.item_label = getItemLabelData(this.$data.newsitem);
        this.$data.corner_label = getCornerLabelData(this.$data.newsitem);

        console.log(this.$data.corner_label);
    },
    onColumnClick: function() {
        const bridge = getModule('router');
        if (typeof bridge !== "undefined") {
            bridge.openItem(this.$data.newsitem);
        }
        this.$data.hasread = true;
    },
});