function getContainerHeight(uiData) {
	var data = uiData ? uiData.commonBackground : null
	if (data == null || data == undefined) {
		return 492 / 870 * 750;
	}
	var width = data.width;
	var height = data.height;
	if (!isValidNum(width) || !isValidNum(height)) {
		return 492 / 870 * 750;
	}
	return height / width * 750;
}

function isValidNum(num) {
	return num !== null && num !== undefined && typeof num === "number";
}

Card({
	onCreate : function() {
		this.$data.container_height = getContainerHeight(this.$data.dto ? this.$data.dto.UI : null);
		// console.log("item.base.thumbnails_qqnews:" + this.$data.dto.base.thumbnails_qqnews)
		console.log("container_height", this.$data.container_height);
	},

	resetPageIndex: function() {
		var dom = this.$dom.getElementById('pager');
		dom.resetPageIndex();
	}
});