var that = {
    methods: {
        resetPageIndex: function() {
            that.resetPageIndex();
        }
    },

    events: {
        pageChange: {}
    },

    onCreate: function() {
        console.log("item.base.thumbnails_qqnews:" + this.$data.dto.base.thumbnails_qqnews)
        this.$data.imageNum = this.$data.dto.base.thumbnails_qqnews.length;
        this.$data.disableSource = "356" === this.$data.dto.base.articletype;
        this.$data.item_params = this.$data.report_infos[this.$data.dto.base.id].report_dict;
    },

    onPageChange: function(param) {
        var newIndex = param.event.pageIndex;
        var isReverse = newIndex < this.$data.curIndex;
        this.$data.curIndex = newIndex;
        console.log("onPageChange, param" + param + " indicator:" + this.$dom.getElementById("indicator"))
        if (this.$data.imageNum <= 1) {
            return
        }
        if (isReverse) {
            this.$dom.getElementById("indicator").reverseAnimation();
        } else {
            this.$dom.getElementById("indicator").playAnimation();
        }
        this.triggerEvent('pageChange', param.event);
    },

    onImageClick: function() {
        // 点击图片
        if (this.$data.disableSource) {
            // 进入图片预览页
            const bridge = getModule('TencentNewsScript');
            if (typeof bridge !== "undefined") {
                const imgs = this.$data.dto.base.thumbnails_qqnews;
                const imageList = [];
                for (const index in imgs) {
                    imageList.push({
                        "url": imgs[index]
                    });
                }
                bridge.invoke("previewDetailImage", {
                    index: this.$data.curIndex,
                    images: {
                        imagelist: imageList,
                        enableShare: true,
                    }

                })
            }

            this.$data.localParam.hasRead = true;

            return;
        }
        // 否则，进入文章底层页
        const router = getModule('router');
        if (typeof router !== "undefined") {
            router.openItem(this.$data.dto);
        }
        this.$data.localParam.hasRead = true;
    },

    onSourceClick: function() {
        // 阅读原文
        const router = getModule('router');
        if (typeof router !== "undefined") {
            router.openItem(this.$data.dto);
        }

        this.$data.localParam.hasRead = true;
    },

    tap: function(p) {
        switch (p.event.index) {}
    },

    resetPageIndex: function() {
        this.$dom.getElementById("mypager").setPageIndex(0);
    }
}
Card(that);