// import * as dto from '../common/dto'
function getItemLabelData(newsitem) {
    return {
        "dto": {
            "base": newsitem.base,
            "aInfo": newsitem.aInfo,
            "comment": newsitem.comment,
            "UI": newsitem.UI,
            "user": newsitem.user,
            "extraProp": newsitem.extraProp,
            "contextInfo": newsitem.contextInfo
        },
        "localParam": {}
    }
}

function getSmallCornerLabelData(newsitem) {
    return {
        "dto": {
            "base": newsitem.base,
            "aInfo": newsitem.aInfo,
        },
        "localParam": {}
    }
}

Card({
    onCreate: function() {
        this.$data.item_label = getItemLabelData(this.$data.dto);
        this.$data.small_corner_label = getSmallCornerLabelData(this.$data.dto);
    },
    onDestroy() {
        console.log("news onDestroy");
    },
    onCellClick: function() {
        const bridge = getModule('router');
        if (typeof bridge !== "undefined") {
            bridge.openItem(this.$data.dto);
        }
        this.$data.localParam.hasRead = true;
    }
});